//=========================================================================
// $Id: main.cpp,v 1.1 2005/02/16 02:34:02 welson Exp $
//
//This is the main program for the algorithm presented in WirthlinDAC05
//
//TO-DO:
//    1. Should be able to parse a .dot file as the algorithm input instead
//       of creating one by the program
//    2. 
//=========================================================================


//---------------------------------------------------------------------
// Header files inclusion
//---------------------------------------------------------------------
#include <iostream>
#include <string>
using namespace std;

#include "Operator.hpp"
#include "helper.hpp"

//---------------------------------------------------------------------
// Global data structures and variables
//---------------------------------------------------------------------

//---------------------------------------------------------------------
// Function declarations
//---------------------------------------------------------------------

//---------------------------------------------------------------------
//Function description:
//    This is the main driver for the algorithm
//Input:
//    None
//Output:
//    A graph showing the scheduling result
//---------------------------------------------------------------------
int main(void)
{
  cout << "Algorithm starts..." << endl;

  //Step 1. Create an 8-tap FIR filter
  Graph firg;
  firGraph(8, firg);
  
  // Print out the graph to a .dot file
  ofstream out("fir.dot");
  write_graphviz(out, firg, 
                 make_property_writer(firg), 
                 make_property_writer(firg));

  

}


